<h1 mat-dialog-title>Add User Form</h1>
<div mat-dialog-content>
  <form [formGroup]="userForm">
    <mat-form-field appearance="outline">
      <mat-label>FirstName</mat-label>
      <input formControlName="FirstName" matInput placeholder="FirstName">
    </mat-form-field>
  
    <!-- <mat-form-field appearance="outline">
      <mat-label>To-Do Task</mat-label>
      <mat-select formControlName="todoTask" placeholder="Task">
        <mat-option value="Front-end">Front-end</mat-option>
        <mat-option value="Back-end">Back-end</mat-option>
        <mat-option value="Material UI">Material UI</mat-option>
        <mat-option value="Material Design">Material Design</mat-option>
      </mat-select>
      
    </mat-form-field> -->
  
    <!-- <mat-form-field appearance="fill">
      <mat-label>Choose a Start-date</mat-label>
      <input formControlName="chooseastartDate" matInput [matDatepicker]="picker">
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field> -->
  
    <mat-form-field appearance="outline">
      <mat-label>LastName</mat-label>
      <!-- to bind the form to UI -->
      <input formControlName="LastName" matInput placeholder="LastName">    
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Email</mat-label>
      <input formControlName="Email" matInput placeholder="Email">
    </mat-form-field>
  
    
  </form>

</div>

<div mat-dialog-action [align]="'end'">
  <button   mat-raised-button color="warn" mat-dialog-close>Close</button>
  <button style="margin-left: 8px;" mat-raised-button color="primary" (click)="addUser()">{{actionBtn}}</button>
  
</div>